[{capture append="oxidBlock_content"}]
    [{assign var="currency" value=$oView->getActCurrency()}]

    [{d3modcfgcheck modid="d3points"}][{/d3modcfgcheck}]
    [{if $mod_d3points}]
        [{block name="d3accountpoints_content"}]

            [{if $oModCfg_d3points->isThemeIdMappedTo('azure')}]
                <h1 class="pageHead">[{oxmultilang ident="D3_INC_ACCOUNT_HEADER_POINTS"}]</h1>

                <h3 class="d3points">[{oxmultilang ident="D3_INC_ACCOUNT_HEADER_POINTS_ACCOUNT"}]</h3>
                [{block name="d3accountpoints_main_form_points"}]
                    <form action="[{$oViewConf->getSelfActionLink()}]" name="d3points" method="post">
                        <div class="account d3points">
                            [{$oViewConf->getHiddenSid()}]
                            [{$oViewConf->getNavFormParams()}]
                            <input type="hidden" name="fnc" value="d3CreateVoucherFromPoints">
                            <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
                            [{assign var=oNewVoucher value=$oView->getCreatedVoucher()}]
                            [{if $oNewVoucher}]
                                <div>[{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT1"}] <b>
                                        [{$oNewVoucher->oxvouchers__oxvouchernr->value}]</b>
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT2"}] <b>[{$oNewVoucher->fVoucherdiscount}]
                                        [{$currency->sign}]</b> [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT3"}]
                                    <br>
                                    [{if !$oView->d3GetSelectedOption(3)}]
                                        [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT4"}]
                                    [{/if}]
                                </div>
                                <br>
                                <div class="dot_sep"></div>
                            [{/if}]

                            <table class="pointslist">
                                <colgroup>
                                    <col class="column first">
                                    <col class="column second">
                                    <col class="column third">
                                    <col class="column fourth">
                                </colgroup>
                                <tr class="head">
                                    <td class="column first"><label>&nbsp;</label></td>
                                    <td class="column second">
                                        <label>&nbsp;&nbsp;[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE"}]</label>
                                    </td>
                                    <td class="column third">
                                        <label>&nbsp;&nbsp;[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT"}]</label>
                                    </td>
                                    <td class="column fourth">
                                        <label>&nbsp;&nbsp;[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT"}]</label>
                                    </td>
                                </tr>
                                [{assign var=oPointList value=$oView->d3GetAllPoints()}]

                                [{assign var="cntRow" value=0}]
                                [{foreach from=$oPointList item="oPoint"}]

                                    [{if $cntRow ==0}]
                                        [{assign var="cntRow" value=1}]
                                        [{*assign var="RowStyle" value="#F0F0F0"*}]
                                        [{assign var="RowStyle" value=" first_row"}]
                                    [{else}]
                                        [{assign var="cntRow" value=0}]
                                        [{*assign var="RowStyle" value="#fff"*}]
                                        [{assign var="RowStyle" value=" second_row"}]
                                    [{/if}]

                                    [{* Bestellung *}]
                                    [{if $oPoint->d3points__oxtype->value == "oxorder"}]
                                        [{assign var="oOrder" value=$oPoint->d3GetOrder()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>
                                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_ORDERTYPE"}] [{$oOrder->oxorder__oxordernr->value}]
                                                    [{if $oPoint->d3points__d3points->value < 0}][{oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO"}][{/if}]
                                                </label></td>
                                            <td class="column second[{$RowStyle}]">
                                                <label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtext->value}]</label></td>
                                        </tr>

                                        [{* Bestellung storniert *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxorder_storno"}]
                                        [{assign var="oOrder" value=$oPoint->d3GetOrder()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>[{oxmultilang
                                                    ident="D3_ACCOUNT_POINTS_ORDERTYPE"}] [{$oOrder->oxorder__oxordernr->value}]
                                                    [{if $oPoint->d3points__d3points->value < 0}][{oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO"}][{/if}]
                                                </label></td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtext->value}]</label></td>
                                        </tr>

                                        [{* Gutschein *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxvoucher"}]
                                        [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>[{oxmultilang
                                                    ident="D3_ACCOUNT_POINTS_VOUCHERTYPE"}] <span style="font-style:italic">[{$oVoucher->oxvouchers__oxvouchernr->value}]</span></label>
                                            </td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{*$oPoint->d3points__oxtext->rawValue*}]
                                                    [{if $oVoucher->discount}][{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_VALUE"}]
                                                        [{$oVoucher->discount}] [{$currency->sign}][{/if}]
                                                    [{if $oVoucher->oxvouchers__oxdateused->rawValue =='0000-00-00' &&  $oVoucher->oxvouchers__oxreserved->rawValue > 0}]
                                                        <br>&nbsp;&nbsp;[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_RESERVED"}]
                                                        [{$oVoucher->oxvouchers__oxreserved->rawValue|date_format:"%d.%m.%Y" }][{/if}]
                                                    [{if $oVoucher->oxvouchers__oxdateused->rawValue !='0000-00-00'}]<br>&nbsp;&nbsp;[{
                                                    oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_USED"}]
                                                        [{$oVoucher->oxvouchers__oxdateused->rawValue|date_format:"%d.%m.%Y"}][{/if}]
                                                </label></td>
                                        </tr>

                                        [{* Gutschein storniert *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxvoucher_storno"}]
                                        [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>[{oxmultilang
                                                    ident="D3_ACCOUNT_POINTS_VOUCHERTYPE"}] <span style="font-style:italic">[{$oVoucher->oxvouchers__oxvouchernr->value}]</span></label>
                                            </td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>&nbsp;&nbsp;[{
                                                    oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO2"}]
                                                    [{* $oVoucher->oxvouchers__oxvouchernr->value *}]</label></td>
                                        </tr>

                                        [{* Gutscheinwert zurck gebucht *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxvoucher_storno_rebook"}]
                                        [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>
                                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_REBOOK"}] </label></td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>&nbsp;&nbsp;[{
                                                    oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERTYPE"}] [{
                                                    $oVoucher->oxvouchers__oxvouchernr->value}]</label></td>
                                        </tr>

                                        [{* Text-Bewertung *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxreview"}]
                                        [{assign var="oArticle" value=$oPoint->d3GetReviewArticle()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>[{oxmultilang
                                                    ident="D3_ACCOUNT_POINTS_REVIEWTYPE_TEXT"}] ([{$oArticle->oxarticles__oxartnum->value}])</label></td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtext->rawValue}]</label></td>
                                        </tr>

                                        [{* Stern-Bewertung *}]
                                    [{elseif $oPoint->d3points__oxtype->value == "oxrating"}]
                                        [{assign var="oArticle" value=$oPoint->d3GetRatingArticle()}]
                                        <tr>
                                            <td class="column first[{$RowStyle}]"><label>[{oxmultilang
                                                    ident="D3_ACCOUNT_POINTS_REVIEWTYPE_STERN"}] ([{$oArticle->oxarticles__oxartnum->value}])</label></td>
                                            <td class="column second[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                            <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                    [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                            <td class="column fourth[{$RowStyle}]"><label>
                                                    &nbsp;&nbsp;[{$oPoint->d3points__oxtext->rawValue}]</label></td>
                                        </tr>

                                    [{else}]
                                        [{block name="d3accountpoints_main_form_other"}]
                                            <tr>
                                                <td class="column first[{$RowStyle}]">
                                                    <label>[{assign var="_pointstype" value=$oPoint->d3points__oxtype->value}]
                                                        [{oxmultilang ident="D3_ACCOUNT_POINTS_OTHERTYPE_$_pointstype" noerror="yes" alternative=$_pointstype }]
                                                    </label></td>
                                                <td class="column second[{$RowStyle}]"><label>
                                                        &nbsp;&nbsp;[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</label></td>
                                                <td class="column third[{$RowStyle}]"><label>&nbsp;&nbsp;
                                                        [{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</label></td>
                                                <td class="column fourth[{$RowStyle}]"><label>
                                                        &nbsp;&nbsp;[{$oPoint->d3points__oxtext->rawValue}]</label></td>
                                            </tr>
                                        [{/block}]
                                    [{/if}]

                                    [{if $cntRow ==1}]
                                        [{assign var="cntRow" value=1}]
                                    [{else}]
                                        [{assign var="cntRow" value=0}]
                                    [{/if}]
                                [{/foreach}]
                                [{assign var="dTotalSum" value=$oView->d3GetPointsTotalSum()}]
                                <tr>
                                    <td class="column first"><label><b>[{oxmultilang ident="D3_ACCOUNT_POINTS_TOTALSUM"}]</b></label></td>
                                    <td class="column second"><label>&nbsp;</label></td>
                                    <td class="column third"><label>&nbsp;&nbsp;<b>
                                                [{if $dTotalSum > 0}]+[{/if}][{$dTotalSum}]</b></label></td>
                                    <td class="column fourth"><label>&nbsp;&nbsp;&nbsp;</label></td>
                                </tr>
                            </table>

                            <div class="dot_sep"></div>
                            <br>
                            [{if $oView->d3getAllowCreateVoucher()}]
                                <div class="right"><br>
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_CHANGETEXT1"}] [{$oView->d3getVoucherAmount()}]
                                    [{$currency->sign}] [{oxmultilang ident="D3_ACCOUNT_POINTS_CHANGETEXT2"}]
                                    <ul>
                                        <li class="formSubmit">
                                            <button id="d3GenerateVoucher"
                                                    type="submit"
                                                    value="[{oxmultilang ident=" D3_ACCOUNT_POINTS_CREATE"}]"
                                                    class="submitButton">[{oxmultilang ident="D3_ACCOUNT_POINTS_CREATE"}]
                                            </button>
                                        </li>
                                    </ul>
                                </div>
                            [{else}]
                                <div class="right">
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLETEXT1"}] <b>[{$oView->d3getVoucherAvailable()}]
                                        [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLEPOINTS"}]</b> [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLETEXT2"}]
                                </div>
                            [{/if}]
                            <br>
                            <br>
                        </div>
                    </form>
                [{/block}]

                [{block name="d3accountpoints_mail_option"}]
                    <h3 class="d3points">[{oxmultilang ident="D3_ACCOUNT_POINTS_OPTIONS"}]</h3>
                    [{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_TXT"}]
                    <form action="[{$oViewConf->getSelfActionLink()}]" name="d3points" method="post">
                        <div class="account d3points">
                            [{$oViewConf->getHiddenSid()}]
                            [{$oViewConf->getNavFormParams()}]
                            <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
                            <input type="hidden" name="fnc" value="d3MailOptions">

                            <table class="mail_options">
                                <tr>
                                    <td class="column first_row">&nbsp;</td>
                                    <td class="column first_row">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_OUT"}]</td>
                                </tr>

                                <tr>
                                    <td class="column second_row">
                                        <label for="d3PointsMailStatus[0]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_FIRST_MAIL"}]</label>
                                    </td>
                                    <td class="column second_row">
                                        <input type="hidden" value="1" name="d3PointsMailStatus[0]">
                                        <input type="checkbox" value="0" name="d3PointsMailStatus[0]"
                                               [{if !$oView->d3GetSelectedOption(0)}]checked[{/if}]>
                                    </td>
                                </tr>

                                <tr>
                                    <td class="column first_row">
                                        <label for="d3PointsMailStatus[1]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_RATING_REVIEW"}]</label>
                                    </td>
                                    <td class="column first_row">
                                        <input type="hidden" value="1" name="d3PointsMailStatus[1]">
                                        <input type="checkbox" value="0" name="d3PointsMailStatus[1]"
                                               [{if !$oView->d3GetSelectedOption(1)}]checked[{/if}]>
                                    </td>
                                </tr>

                                <tr>
                                    <td class="column second_row">
                                        <label for="d3PointsMailStatus[2]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_REMINDER"}]</label>
                                    </td>
                                    <td class="column second_row">
                                        <input type="hidden" value="1" name="d3PointsMailStatus[2]">
                                        <input type="checkbox" value="0" name="d3PointsMailStatus[2]"
                                               [{if !$oView->d3GetSelectedOption(2)}]checked[{/if}]>
                                    </td>
                                </tr>
                            [{block name="d3accountpoints_mail_option_last_option"}]
                                <tr>
                                    <td class="column first_row">
                                        <label for="d3PointsMailStatus[3]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_VOUCHER"}]
                                        </label>
                                    </td>
                                    <td class="column first_row">
                                        <input type="hidden" value="1" name="d3PointsMailStatus[3]">
                                        <input type="checkbox" value="0" name="d3PointsMailStatus[3]"
                                               [{if !$oView->d3GetSelectedOption(3)}]checked[{/if}]>
                                    </td>
                                </tr>
                            [{/block}]
                                <tr>
                                    <td class="column second_row">&nbsp;</td>
                                    <td class="column second_row">
                                        <ul>
                                            <li class="formSubmit">
                                                <button id="savePointsConfig" type="submit"
                                                        value="[{oxmultilang ident="D3_ACCOUNT_OPTIONS_SAVE"}]" class="submitButton">
                                                    [{oxmultilang ident="D3_ACCOUNT_OPTIONS_SAVE"}]
                                                </button>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </form>
                [{/block}]

            [{elseif $oModCfg_d3points->isThemeIdMappedTo('flow')}]
                <h1 class="page-header">[{oxmultilang ident="D3_INC_ACCOUNT_HEADER_POINTS"}]</h1>

                [{*<h3 class="d3points">[{oxmultilang ident="D3_INC_ACCOUNT_HEADER_POINTS_ACCOUNT"}]</h3>*}]
                [{block name="d3accountpoints_created_voucher_message"}]
                    [{assign var=oNewVoucher value=$oView->getCreatedVoucher()}]
                    [{if $oNewVoucher}]
                        <div class="account d3points voucher created message">
                            <div class="alert alert-danger">[{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT1"}] <b>
                                    [{$oNewVoucher->oxvouchers__oxvouchernr->value}]</b>
                                [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT2"}] <b>[{$oNewVoucher->fVoucherdiscount}]
                                    [{$currency->sign}]</b> [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT3"}]
                                <br>
                                [{if !$oView->d3GetSelectedOption(3)}]
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_NEWVOUCHERTEXT4"}]
                                [{/if}]
                            </div>
                        </div>
                    [{/if}]
                [{/block}]

                [{block name="d3accountpoints_created_voucher"}]
                    <form action="[{$oViewConf->getSelfActionLink()}]" name="d3points" method="post">
                        <div class="account d3points create voucher">
                            <div class="hidden">
                                [{$oViewConf->getHiddenSid()}]
                                [{$oViewConf->getNavFormParams()}]
                                <input type="hidden" name="fnc" value="d3CreateVoucherFromPoints">
                                <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
                            </div>

                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_CREATE_VOUCHER"}] & [{oxmultilang ident="D3_ACCOUNT_POINTS_TOTALSUM"}]
                                </div>
                                <div class="panel-body">

                                    [{assign var="dTotalSum" value=$oView->d3GetPointsTotalSum()}]
                                    <div class="form-group">
                                        <div class="col-lg-9 col-xs-12">
                                            [{oxmultilang ident="D3_ACCOUNT_POINTS_TOTALSUM_TEXT" suffix="COLON"}] <b>[{if $dTotalSum > 0}]+[{/if}][{$dTotalSum}]</b> [{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT"}].
                                        </div>
                                    </div>
                                    <hr>

                                    [{if $oView->d3getAllowCreateVoucher()}]
                                        <div class="form-group">
                                            <div class="col-lg-9 col-xs-12">
                                                [{oxmultilang ident="D3_ACCOUNT_POINTS_CHANGETEXT1"}] [{$oView->d3getVoucherAmount()}]
                                                [{$currency->sign}] [{oxmultilang ident="D3_ACCOUNT_POINTS_CHANGETEXT2"}]
                                            </div>
                                            <div class="col-lg-3 col-xs-12">
                                                <button id="d3GenerateVoucher" type="submit" name="save" class="btn btn-primary">[{oxmultilang ident="D3_ACCOUNT_POINTS_CREATE"}]</button>
                                            </div>
                                        </div>
                                    [{else}]
                                        <div class="form-group">
                                            <div class="col-lg-9 col-xs-12">
                                                [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLETEXT1"}] <b>[{$oView->d3getVoucherAvailable()}]
                                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLEPOINTS"}]</b> [{oxmultilang ident="D3_ACCOUNT_POINTS_POSSIBLETEXT2"}]
                                            </div>
                                        </div>
                                    [{/if}]
                                </div>
                            </div>
                        </div>
                    </form>
                [{/block}]

                [{block name="d3accountpoints_list_with_points"}]
                <div class="panel panel-default">
                    <div class="panel-heading">
                        [{oxmultilang ident="D3_ACCOUNT_POINTS_HEADER"}]
                    </div>
                    <div class="panel-body">
                        <ol class="list-unstyled">
                            [{*foreach from=$oOrders item=order*}]
                            [{assign var=oPointList value=$oView->d3GetAllPoints()}]
                            [{foreach from=$oPointList item="oPoint"}]

                                [{* Bestellung *}]
                                [{if $oPoint->d3points__oxtype->value == "oxorder"}]
                                [{assign var="oOrder" value=$oPoint->d3GetOrder()}]
                                <li>
                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-4">
                                                    <strong>[{*oxmultilang ident="D3_ACCOUNT_POINTS_TYPE_POINT"  suffix="COLON"*}] [{oxmultilang ident="D3_ACCOUNT_POINTS_ORDERTYPE"}]</strong>
                                                    <span> [{$oOrder->oxorder__oxordernr->value}]
                                                        [{if $oPoint->d3points__d3points->value < 0}][{oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO"}][{/if}]</span>
                                                </div>
                                                <div class="col-xs-4">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                    <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                </div>
                                                <div class="col-xs-4">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                    <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                </div>
                                            </div>
                                        </div>
                                        [{if $oPoint->d3points__oxtext->value}]
                                            <div class="panel-body">
                                                <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                <span>[{$oPoint->d3points__oxtext->value}]</span>
                                            </div>
                                        [{/if}]
                                    </div>
                                </li>

                                [{* Bestellung storniert *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxorder_storno"}]
                                    [{assign var="oOrder" value=$oPoint->d3GetOrder()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_TYPE_POINT"  suffix="COLON"}]</strong>
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_ORDERTYPE"}] [{$oOrder->oxorder__oxordernr->value}]
                                                            [{if $oPoint->d3points__d3points->value < 0}][{oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO"}][{/if}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oPoint->d3points__oxtext->value}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>

                                [{* Gutschein *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxvoucher"}]
                                    [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER"}] [{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERNR"}]</strong>
                                                        <span>[{*oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERNR"*}] [{$oVoucher->oxvouchers__oxvouchernr->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">

                                                        [{if $oVoucher->discount}]
                                                            <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_VALUE" suffix="COLON"}]</strong>
                                                            <span>[{$oVoucher->discount}] [{$currency->sign}]</span>
                                                        [{/if}]
                                                        <div>
                                                            [{*if $oVoucher->oxvouchers__oxdateused->rawValue =='0000-00-00' &&  $oVoucher->oxvouchers__oxreserved->rawValue > 0}]
                                                                <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_RESERVED"}]</strong>
                                                                [{$oVoucher->oxvouchers__oxreserved->rawValue|date_format:"%d.%m.%Y"}][{/if}]
                                                            [{if $oVoucher->oxvouchers__oxdateused->rawValue !='0000-00-00'}]
                                                                <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_USED" }]</strong>
                                                                [{$oVoucher->oxvouchers__oxdateused->rawValue|date_format:"%d.%m.%Y"}][{/if*}]
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value
                                            || ($oVoucher->oxvouchers__oxdateused->rawValue =='0000-00-00' &&  $oVoucher->oxvouchers__oxreserved->rawValue > 0)
                                            || $oVoucher->oxvouchers__oxdateused->rawValue !='0000-00-00'}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oPoint->d3points__oxtext->value}] [{* $oVoucher->oxvouchers__oxvouchernr->value *}]</span>

                                                    [{if $oVoucher->oxvouchers__oxdateused->rawValue =='0000-00-00' &&  $oVoucher->oxvouchers__oxreserved->rawValue > 0}]
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_RESERVED"}]</span>
                                                        [{$oVoucher->oxvouchers__oxreserved->rawValue|date_format:"%d.%m.%Y"}][{/if}]
                                                    [{if $oVoucher->oxvouchers__oxdateused->rawValue !='0000-00-00'}]
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_USED" }]</span>
                                                        [{$oVoucher->oxvouchers__oxdateused->rawValue|date_format:"%d.%m.%Y"}][{/if}]
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>

                                [{* Gutschein storniert *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxvoucher_storno"}]
                                    [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER" suffix="COLON"}]</strong>
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERNR"}] [{$oVoucher->oxvouchers__oxvouchernr->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                        <div>
                                                            <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_POINTS_STORNO2"}]</strong>
                                                            [{*$oVoucher->oxvouchers__oxreserved->rawValue|date_format:"%d.%m.%Y"}][{/if*}]
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERTYPE"}] [{ $oVoucher->oxvouchers__oxvouchernr->value}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>

                                [{* Gutscheinwert zurck gebucht *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxvoucher_storno_rebook"}]
                                    [{assign var="oVoucher" value=$oPoint->d3GetVoucher()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHER_REBOOK" suffix="COLON"}]</strong>
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERNR"}] [{$oVoucher->oxvouchers__oxvouchernr->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oVoucher->oxvouchers__oxvouchernr->value}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>


                                [{* Text-Bewertung *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxreview"}]
                                    [{assign var="oArticle" value=$oPoint->d3GetReviewArticle()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_REVIEWTYPE_TEXT" suffix="COLON"}]</strong>
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_ARTICLE_NUMBER"}] [{$oArticle->oxarticles__oxartnum->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oPoint->d3points__oxtext->rawValue}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>


                                [{* Stern-Bewertung *}]
                                [{elseif $oPoint->d3points__oxtype->value == "oxrating"}]
                                    [{assign var="oArticle" value=$oPoint->d3GetRatingArticle()}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_REVIEWTYPE_STERN" suffix="COLON"}]</strong>
                                                        <span>[{oxmultilang ident="D3_ACCOUNT_POINTS_ARTICLE_NUMBER"}] [{$oArticle->oxarticles__oxartnum->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oPoint->d3points__oxtext->rawValue}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>

                                [{* Else *}]
                                [{else}]
                                    [{block name="d3accountpoints_main_form_other"}]
                                    <li>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <div class="row">
                                                    <div class="col-xs-4">
                                                        <strong>
                                                            [{assign var="_pointstype" value=$oPoint->d3points__oxtype->value}]
                                                            [{oxmultilang ident="D3_ACCOUNT_POINTS_OTHERTYPE_$_pointstype" noerror="yes" alternative=$_pointstype }]
                                                        </strong>
                                                        <span>[{*oxmultilang ident="D3_ACCOUNT_POINTS_VOUCHERNR"}] [{$oArticle->oxarticles__oxartnum->value*}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_AMOUNT" suffix="COLON"}]</strong>
                                                        <span>[{if $oPoint->d3points__d3points->value > 0}]+[{/if}][{$oPoint->d3points__d3points->value}]</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                        <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_DATE" suffix="COLON"}]</strong>
                                                        <span class="note">[{$oPoint->d3points__oxtime->rawValue|date_format:"%d.%m.%Y"}]</span>
                                                    </div>
                                                </div>
                                            </div>
                                            [{if $oPoint->d3points__oxtext->value}]
                                                <div class="panel-body">
                                                    <strong>[{oxmultilang ident="D3_ACCOUNT_POINTS_COMMENT" suffix="COLON"}]</strong>
                                                    <span>[{$oPoint->d3points__oxtext->rawValue}]</span>
                                                </div>
                                            [{/if}]
                                        </div>
                                    </li>
                                    [{/block}]
                                [{/if}]

                                [{foreachelse}]
                                    [{oxmultilang ident="D3_ACCOUNT_POINTS_NO_POINTS"}]
                            [{/foreach}]
                        </ol>
                    </div>
                </div>
                [{/block}]

                [{block name="d3accountpoints_mail_option"}]
                    <form action="[{$oViewConf->getSelfActionLink()}]" name="d3points" method="post">
                        <div class="account d3points options change">
                            <div class="hidden">
                                [{$oViewConf->getHiddenSid()}]
                                [{$oViewConf->getNavFormParams()}]
                                <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
                                <input type="hidden" name="fnc" value="d3MailOptions">
                            </div>

                            <div class="panel panel-default">
                                <div class="panel-heading">[{oxmultilang ident="D3_ACCOUNT_POINTS_OPTIONS"}]
                                </div>
                                <div class="panel-body">
                                    [{*<h3 class="d3points">[{oxmultilang ident="D3_ACCOUNT_POINTS_OPTIONS"}]</h3>*}]
                                    <div class="panel-heading">
                                        [{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_TXT"}]
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label  col-xs-8" for="d3PointsMailStatus[0]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_FIRST_MAIL"}]</label>
                                        <div class="col-xs-4">
                                            <input type="hidden" value="1" name="d3PointsMailStatus[0]">
                                            <input type="checkbox" value="0" name="d3PointsMailStatus[0]"
                                                   [{if !$oView->d3GetSelectedOption(0)}]checked[{/if}]>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-xs-8" for="d3PointsMailStatus[1]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_RATING_REVIEW"}]</label>
                                        <div class="col-xs-4">
                                            <input type="hidden" value="1" name="d3PointsMailStatus[1]">
                                            <input type="checkbox" value="0" name="d3PointsMailStatus[1]"
                                                   [{if !$oView->d3GetSelectedOption(1)}]checked[{/if}]>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-xs-8" for="d3PointsMailStatus[2]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_REMINDER"}]</label>
                                        <div class="col-xs-4">
                                            <input type="hidden" value="1" name="d3PointsMailStatus[2]">
                                            <input type="checkbox" value="0" name="d3PointsMailStatus[2]"
                                                   [{if !$oView->d3GetSelectedOption(2)}]checked[{/if}]>
                                        </div>
                                    </div>
                                [{block name="d3accountpoints_mail_option_last_option"}]
                                    <div class="form-group">
                                        <label class="control-label col-xs-8" for="d3PointsMailStatus[3]">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_MAIL_VOUCHER"}]</label>
                                        <div class="col-xs-4">
                                            <input type="hidden" value="1" name="d3PointsMailStatus[3]">
                                            <input type="checkbox" value="0" name="d3PointsMailStatus[3]"
                                                   [{if !$oView->d3GetSelectedOption(3)}]checked[{/if}]>
                                        </div>
                                    </div>
                                [{/block}]
                                    <div class="form-group">
                                        <div class="col-lg-offset-8 col-xs-12">
                                            <button id="savePointsConfig" type="submit" name="save" class="btn btn-primary">[{oxmultilang ident="D3_ACCOUNT_OPTIONS_SAVE"}]</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                [{/block}]
            [{else}]
            [{/if}]


        [{/block}]
    [{/if}]
[{/capture}]

[{capture append="oxidBlock_sidebar"}]
    [{include file="page/account/inc/account_menu.tpl" active_link="d3pointsaccount"}]
[{/capture}]

[{include file="layout/page.tpl" sidebar="Left"}]
