<?PHP
/**
 * This Software is the property of D Data Development
 * and is protected by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * key is a violation of the license agreement and will be
 * prosecuted by civil and criminal law.
 *
 * D3 Data Development
 * Inhaber: Thomas Dartsch
 * Alle Rechte vorbehalten
 *
 * @package "Bonuspunkte"
 * @version 3.0.0_PE4
 * @author Thomas Dartsch <thomas.dartsch@shopmodule.com> / Markus Grtner <markus.gaertner@shopmodule.com>
 * @copyright (C) 2011, D3 Data Development
 * @see http://www.shopmodule.com
 *
 * $Rev:: 802                                           $:
 * $Author:: MarkusGaertner                             $:
 * $Date:: 2016-09-02 15:30:55 +0200 (Fr, 02 Sep 2016)  $:
 */


class d3_ordermain_d3points extends d3_ordermain_d3points_parent
{
    /**
     * Return Points for Order by given Order-Id
     *
     * @return float
     */
    public function d3GetPointsForOrder()
    {

        $sOrderId = $this->getEditObjectId();

        if (!$sOrderId)
            return false;

        if (class_exists('d3_d3points_d3points')) {
            /* @var $od3Points d3_d3points_d3points */
            $od3Points = oxnew('d3_d3points_d3points');
            return $od3Points->d3GetPointsForOrder($sOrderId);
        }
        return true;
    }
}